Added note to "make test": use git checkout of iverilog

This commit is contained in:
Clifford Wolf 2014-07-16 10:03:07 +02:00
parent 0f9ca49dc6
commit 964a67ac41
5 changed files with 15 additions and 5 deletions

View File

@ -1,2 +1,2 @@
#!/bin/bash
exec bash ../tools/autotest.sh *.v
exec bash ../tools/autotest.sh -G *.v

View File

@ -1,2 +1,2 @@
#!/bin/bash
exec bash ../tools/autotest.sh -l hana_vlib.v test_*.v
exec bash ../tools/autotest.sh -G -l hana_vlib.v test_*.v

View File

@ -15,6 +15,7 @@ for ((i = 0; i < 100; i++)); do
iverilog -o uut_${idx}_tb uut_${idx}_tb.v uut_${idx}.v uut_${idx}_syn.v
./uut_${idx}_tb | tee uut_${idx}.err
if test -s uut_${idx}.err; then
echo "Note: Make sure that 'iverilog' is an up-to-date git checkout of icarus verilog."
exit 1
fi
rm -f uut_${idx}.err

View File

@ -6,4 +6,4 @@ if ! which iverilog > /dev/null ; then
exit 1
fi
exec bash ../tools/autotest.sh *.v
exec bash ../tools/autotest.sh -G *.v

View File

@ -11,17 +11,20 @@ backend_opts="-noattr -noexpr"
scriptfiles=""
scriptopt=""
toolsdir="$(cd $(dirname $0); pwd)"
warn_iverilog_git=false
if [ ! -f $toolsdir/cmp_tbdata -o $toolsdir/cmp_tbdata.c -nt $toolsdir/cmp_tbdata ]; then
( set -ex; gcc -Wall -o $toolsdir/cmp_tbdata $toolsdir/cmp_tbdata.c; ) || exit 1
fi
while getopts xml:wkvrf:s:p: opt; do
while getopts xmGl:wkvrf:s:p: opt; do
case "$opt" in
x)
use_xsim=true ;;
m)
use_modelsim=true ;;
G)
warn_iverilog_git=true ;;
l)
libs="$libs $(cd $(dirname $OPTARG); pwd)/$(basename $OPTARG)";;
w)
@ -145,7 +148,13 @@ do
elif [ -f ${bn}.skip ]; then
mv ${bn}.err ${bn}.skip
echo "-> skip"
else echo "-> ERROR!"; $keeprunning || exit 1; fi
else
echo "-> ERROR!"
if $warn_iverilog_git; then
echo "Note: Make sure that 'iverilog' is an up-to-date git checkout of icarus verilog."
fi
$keeprunning || exit 1
fi
done
exit 0